Name: coldfire
Version: 0.3.1
Release: %mkrel 1
Summary: A Freescale Coldfire 5206 Emulator
URL: http://www.slicer.ca/coldfire/
Source: http://www.slicer.ca/coldfire/files/coldfire-%{version}.tar.gz
Patch1: coldfire-0.2.2-manpage.patch
Group: Emulators
License: GPL
BuildRequires: libreadline-devel
BuildRequires: libncurses-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Coldfire is a Freescale Coldfire 5206 Emulator. It currently features
all but 5 assembly instructions, a full dBug with extra functionality,
both serial ports, the parallel port, interrupts (through telnet
sessions), full exception handling, timers and timer interrupts, and
full tracing capability.

%prep
%setup -q
%patch1 -p1 -b .manpage

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/coldfire

install -s -m 755 coldfire %{buildroot}%{_bindir}/coldfire
install -m 644 coldfire.1 %{buildroot}%{_mandir}/man1/coldfire.1
install -m 644 boards/* %{buildroot}%{_datadir}/coldfire/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/coldfire
%{_mandir}/man1/coldfire.1*
%{_datadir}/coldfire/*



%changelog
* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.3.1-1mdv2008.1
+ Revision: 177331
- new version
- remove patch 0, not needed
- unzip patch 1

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2.2-2mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import coldfire


* Thu Aug 03 2006 Lenny Cartier <lenny@mandriva.com> 0.2.2-2mdv2007.0
- rebuild

* Wed Jun 29 2005 Claudio Matsuoka <claudio@mandriva.com> 0.2.2-1mdk
- package creation
